
-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_ToggleAwardsOptions()
	local show;
	if(AwardOptionsShow) then
		AwardOptionsShow = false;
		show = true;
	else
		AwardOptionsShow = true;
		show = false;
		DKPMaster_Toggle(2,show);
		DKPMaster_Toggle(3,show);
		DKPMaster_Toggle(4,show);
		DKPMaster_Toggle(6,show);
		DKPMaster_Toggle(7,show);
		DKPMaster_Toggle(8,show);
		DKPMaster_Toggle(9,show);
		DKPMaster_Toggle(10,show);
		DKPMaster_Toggle(11,show);
		DKPMaster_Toggle(12,show);
		MCOptionsShow = false;
		BWLOptionsShow = false;
		AQOptionsShow = false;
		OnyxiaOptionsShow = false;
		WorldBossesOptionsShow = false;
		HelpOptionsShow = false;
		AboutFrameShow = false;
	end
	
	DKPMaster_Toggle(5, AwardOptionsShow);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame5_loadinfo()
	getglobal("DKPMasterframe5_RaidStartBox"):SetText(DKPM_DKP_Points[1]);
	getglobal("DKPMasterframe5_RaidEndBox"):SetText(DKPM_DKP_Points[2]);
	getglobal("DKPMasterframe5_RaidGolemaggBox"):SetText(DKPM_DKP_Points[35]);
	getglobal("DKPMasterframe5_MaxDKPBox"):SetText(DKPM_DKPLimit);
	if(DKPM_WhisperCastOn == true) then
		getglobal("DKPMasterframe5_WhisperCastOnOff"):SetText("On");
	else
		getglobal("DKPMasterframe5_WhisperCastOnOff"):SetText("Off");
	end
	getglobal("DKPMasterframe5_ChannelNameBox"):SetText(DKPMChannelName);
	getglobal("DKPMasterframe5_SnapShotEventNameBox"):SetText(DKPMSnapShotEventName);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame5_setinfo()
	DKPM_DKP_Points[1] = getglobal("DKPMasterframe5_RaidStartBox"):GetText();
	DKPM_DKP_Points[2] = getglobal("DKPMasterframe5_RaidEndBox"):GetText();
	--DKPM_DKP_Points[3] = getglobal("DKPMasterframe5_RaidOnTimeBox"):GetText();
	DKPM_DKP_Points[35] = getglobal("DKPMasterframe5_RaidGolemaggBox"):GetText();
	DKPM_DKPLimit = getglobal("DKPMasterframe5_MaxDKPBox"):GetText();
	DKPMChannelName = getglobal("DKPMasterframe5_ChannelNameBox"):GetText();
	DKPMSnapShotEventName = getglobal("DKPMasterframe5_SnapShotEventNameBox"):GetText();
	loadPoints(); -- load up save DKP points
	
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame5_WhisperClick(pChecked)
	if(pChecked == nil) then
		DKPM_WhisperCastOn = false;
		getglobal("DKPMasterframe5_WhisperCastOnOff"):SetText("Off");
	else
		DKPM_WhisperCastOn = true;
		getglobal("DKPMasterframe5_WhisperCastOnOff"):SetText("On");
	end
	getglobal("DKPMasterframe5_WhisperCastOnOff"):Show();
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMasterframe5_RaidStartClick(pChecked)
	if(pChecked == nil) then
		getglobal("DKPMasterframe5_RaidStartOnOff"):SetText("Off");
	else
		getglobal("DKPMasterframe5_RaidStartOnOff"):SetText("On");
	end
	getglobal("DKPMasterframe5_RaidStartOnOff"):Show();
end

