-- PreConditions: None
-- PostConditions: None
-- Comments: This awards all raid members DKP by that value (present raid members only)
local function getDKP(name)
	if(DKPM_RAIDLEADER) then
		local tempDKP;
		local first = string.sub(name, 1,1)
		local remainder = string.sub(name, 2)
		local output = strupper(first)..strlower(remainder)
		local fName =output;
		for i,localdkp in DKPM_DKP do
			if(fName == localdkp.name) then
				tempDKP = localdkp.dkp;
			end
		end
		
		DKPM_Msg("DKP: "..fName.." -- "..tempDKP);
	end
end

-- PreConditions: The non-formated name
-- PostConditions: Returns the formated name
-- Comments: formats the name properly.  ie airiena would become Airiena
local function DKPM_FormatName(name)
	local first = string.sub(name, 1,1)
	local remainder = string.sub(name, 2)
	local output = strupper(first)..strlower(remainder)
	return output
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_DeletePlayer()
	--[[local name = DKPMtotalIndexName;
	if(name ~= nil and DKPM_RAIDLEADER == true) then
		deletePlayerDKP(name);
		getglobal("DKPMasterframe4_TotalBox"):SetText("");
		DKPMaster_RefreshRoster();
	end
	--]]
end

-- PreConditions: None
-- PostConditions: None
-- Comments: notifies the selected target
function DKPMaster_frame3_notifyTarget()
	local name = DKPMtotalIndexName
	DKPMaster_Notify(name);
end

-- PreConditions: None
-- PostConditions: None
-- Comments: Modifies info in pane 2 from pane 3
function DKPMaster_frame3_awardspend(inctype)
	--[[if(DKPM_RAIDLEADER) then
		local name = DKPMtotalIndexName
		local tempName;
		local tempDKP;
		local change = getglobal("DKPMasterframe3_dkpBox"):GetText()
		if(inctype=="+") then
			for i,localdkp in DKPM_DKP do
				if(name == localdkp.name) then
					tempName = localdkp.name;
					if(localdkp.dkp < tonumber(DKPM_DKPLimit)) then
						localdkp.dkp = localdkp.dkp + change;
						if(localdkp.dkp > tonumber(DKPM_DKPLimit)) then
							localdkp.dkp = tonumber(DKPM_DKPLimit);
						end
						tempDKP = localdkp.dkp;
						localdkp.date = date();
						DKPM_Msg(name.." awarded "..change.." DKP [New Total: "..tempDKP.."]")
					end
					break;
				end
			end
		else
			for i,localdkp in DKPM_DKP do
				if(name == localdkp.name) then
					tempName = localdkp.name;
					localdkp.dkp = localdkp.dkp - change;
					tempDKP = localdkp.dkp;
					localdkp.date = date();
					break;
				end
			end
			DKPM_Msg(name.." spent "..change.." DKP [New Total: "..tempDKP.."]")
		end
		getglobal("DKPMasterframe4_TotalBox"):SetText(tempDKP)
		DKPMaster_RefreshRoster()
	end --]]
end

-- PreConditions: None
-- PostConditions: None
-- Comments: updates the selected Item entry in the log file.
function DKPMasterItemLogFrame_OnClick(arg1)
		
	local buttonName = this:GetName()
	local indexFromButton = 0;

	getglobal("DKPMaster_Frame3"):Show()
	
	for i=1, DKPM_numFrame2entries do
		local button = "DKPMaster_ItemLogFrame_entry"..i
		if(buttonName==button) then
			indexFromButton = i
		end
	end
	
	DKPMaster_RefreshItems(); --DKPMaster_RefreshRosterItems();  --clears any highlights
	local r=1
	local g=1
	local b=0
	local a=1
	getglobal("DKPMaster_ItemLogFrame_entry"..indexFromButton.."_name"):SetVertexColor(r, g, b, a)
	getglobal("DKPMaster_ItemLogFrame_entry"..indexFromButton.."_player"):SetVertexColor(r, g, b, a)
	getglobal("DKPMaster_ItemLogFrame_entry"..indexFromButton.."_dkp"):SetVertexColor(r, g, b, a)
	getglobal("DKPMaster_ItemLogFrame_entry"..indexFromButton.."_date"):SetVertexColor(r, g, b, a)
		
	DKPMItemtotalIndex = indexFromButton + DKPM_ItemListIndex - 1  --index was off by 1 somehow

	local tempName;
	local tempPlayer;
	local tempDKP;
	local tempDate;
	
	local counter = 0;
	for i,itemlog in DKPM_DKP_ITEMS do
		tempName = itemlog.name;
		tempPlayer = itemlog.player;
		tempDKP = itemlog.dkp;
		tempDate = itemlog.date;
		counter = counter + 1;
		if(counter == DKPMItemtotalIndex) then 
			break;
		end
	end 
	
	DKPMItemtotalIndexName = tempName;
	DKPMItemtotalIndexPlayer = tempPlayer;
	DKPMItemtotalIndexDKP = tempDKP;
	DKPMItemtotalIndexDate = tempDate;
	getglobal("DKPMasterframe3_item"):SetText("Item: "..tempName);
	getglobal("DKPMasterframe3_player"):SetText("Player: "..tempPlayer);
	getglobal("DKPMasterframe3_dkp"):SetText(tempDKP);
	getglobal("DKPMasterframe3_date"):SetText("Date: "..tempDate);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function ItemDropDownMenu_Initialize()
   local selectedValue = UIDropDownMenu_GetSelectedValue(ItemDropDownMenu);
   local info;
   local counter;
   
   info = {};
   counter = 1;
   for i,raidevent in DKPM_DKP_LOG do
		if(raidevent.location ~= nil) then
			info.text = raidevent.boss;
			info.func = ItemDropDownMenu_OnClick;
			info.value = counter;
			info.checked = nil;
			UIDropDownMenu_AddButton(info);
			counter = counter + 1;
		end
	end
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function ItemDropDownMenu_OnLoad()
   UIDropDownMenu_Initialize(this, ItemDropDownMenu_Initialize);
   UIDropDownMenu_SetSelectedID(this, 1);
   UIDropDownMenu_SetWidth(75, ItemDropDownMenu);
end 


-- PreConditions: None
-- PostConditions: None
-- Comments:
function ItemDropDownMenu_OnClick()
    UIDropDownMenu_SetSelectedValue(ItemDropDownMenu, this.value);
	local counter;
	counter = 1;
	
    for i,raidevent in DKPM_DKP_LOG do
		if(raidevent.location ~= nil) then
			if(this.value == counter) then
				DKPM_ItemSelected = raidevent.boss;
			end
			counter = counter + 1;
		end
	end
end

