
-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_ToggleMCOptions()
	local show;
	if(MCOptionsShow) then
		MCOptionsShow = false;
		show = true;
	else
		MCOptionsShow = true;
		show = false;
		DKPMaster_Toggle(2, show);
		DKPMaster_Toggle(3, show);
		DKPMaster_Toggle(4, show);
		DKPMaster_Toggle(5, show);
		DKPMaster_Toggle(7, show);
		DKPMaster_Toggle(8, show);
		DKPMaster_Toggle(9, show);
		DKPMaster_Toggle(10, show);
		DKPMaster_Toggle(11,show);
		DKPMaster_Toggle(12,show);
		AwardOptionsShow = false;
		BWLOptionsShow = false;
		AQOptionsShow = false;
		OnyxiaOptionsShow = false;
		WorldBossesOptionsShow = false;
		HelpOptionsShow = false;
		AboutFrameShow = false;
	end
	
	DKPMaster_Toggle(6, MCOptionsShow);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame6_loadinfo()
	if(DKPM_MCOn == true) then
		getglobal("DKPMasterframe6_EnableBox"):SetText("On");
	else
		getglobal("DKPMasterframe6_EnableBox"):SetText("Off");
	end
	getglobal("DKPMasterframe6_LucifronBox"):SetText(DKPM_DKP_Points[4]);
	getglobal("DKPMasterframe6_MagmadarBox"):SetText(DKPM_DKP_Points[5]);
	getglobal("DKPMasterframe6_GehennasBox"):SetText(DKPM_DKP_Points[6]);
	getglobal("DKPMasterframe6_GarrBox"):SetText(DKPM_DKP_Points[7]);
	getglobal("DKPMasterframe6_BaronGeddonBox"):SetText(DKPM_DKP_Points[8]);
	getglobal("DKPMasterframe6_ShazzrahBox"):SetText(DKPM_DKP_Points[9]);
	getglobal("DKPMasterframe6_SulfuronBox"):SetText(DKPM_DKP_Points[10]);
	getglobal("DKPMasterframe6_GolemaggBox"):SetText(DKPM_DKP_Points[11]);
	getglobal("DKPMasterframe6_MajorDomoBox"):SetText(DKPM_DKP_Points[12]);
	getglobal("DKPMasterframe6_RagnarosBox"):SetText(DKPM_DKP_Points[13]);
	getglobal("DKPMasterframe6_MoltenCoreEventNameBox"):SetText(DKPMMoltenCoreEventName);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame6_setinfo()
	DKPM_DKP_Points[4] = getglobal("DKPMasterframe6_LucifronBox"):GetText();
	DKPM_DKP_Points[5] = getglobal("DKPMasterframe6_MagmadarBox"):GetText();
	DKPM_DKP_Points[6] = getglobal("DKPMasterframe6_GehennasBox"):GetText();
	DKPM_DKP_Points[7] = getglobal("DKPMasterframe6_GarrBox"):GetText();
	DKPM_DKP_Points[8] = getglobal("DKPMasterframe6_BaronGeddonBox"):GetText();
	DKPM_DKP_Points[9] = getglobal("DKPMasterframe6_ShazzrahBox"):GetText();
	DKPM_DKP_Points[10] = getglobal("DKPMasterframe6_SulfuronBox"):GetText();
	DKPM_DKP_Points[11] = getglobal("DKPMasterframe6_GolemaggBox"):GetText();
	DKPM_DKP_Points[12] = getglobal("DKPMasterframe6_MajorDomoBox"):GetText();
	DKPM_DKP_Points[13] = getglobal("DKPMasterframe6_RagnarosBox"):GetText();
	DKPM_DKP_Points[11]  = DKPM_DKP_Points[11];
	DKPMMoltenCoreEventName = getglobal("DKPMasterframe6_MoltenCoreEventNameBox"):GetText();
	loadPoints(); -- load up save DKP points
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame6_MCClick(pChecked)
	if(pChecked == nil) then
		DKPM_MCOn = false;
		getglobal("DKPMasterframe6_Enable"):SetText("Off");
		
	else
		DKPM_MCOn = true;
		getglobal("DKPMasterframe6_Enable"):SetText("On");
	end
	getglobal("DKPMasterframe6_Enable"):Show();
end

